Subject: my laundry list

From: [email-masked]
Date: Thu, 10 Feb 94 22:55:28 EST

It's great to see the mailing lists hopping again - thanks to all who
have provided feedback on my proposal.  Here's my own laundry list
of the issues I would like to see discussed at the AIW next week:

1) Resolve the pacing versus XON/XOFF question for the base function.
     At the last meeting, it seemed there were still strong feelings on
   both sides of this question.

2) Confirm the consensus for adaptive pacing as an option.
     This was a pretty strong consensus last time, and I personally
   think it's a fine position.  Given how little an adaptive pacer is
   really REQUIRED to do, however, perhaps we should consider briefly
   having that be the sole mechanism (in the spirit of Lakshman
   Garikapaty's post).

3) Decide what level(s) of flow control capability we allow for
   pre-standard implementations.
     I wasn't trying to encourage more non-standard implementations,
   just accomodate the ones that have been and are being created.  I
   have no problem ditching NONE, and even ONOFF if all affected parties
   agree. Also, the definition of ONOFF needs to be agreed to.  To make
   best use of time, perhaps this item could be discussed offline by
   the companies who will have pre-standard DLSw implementations.

4) Decide whether to have a transport-level ONOFF mechanism in the
   base, or at all
     Shannon, I already put a strawman for this in the "other comments"
   section of my proposal.  Paul Brittain suggested it could be an
   option if we want it at all, which sounds ok to me.  With all this
   ambivalence, however, I need to remind everyone that the minutes of
   our September meeting do state a consensus on having such a mechanism
   in the base.  I feel we need to raise it again.

5) Discuss finer points of the proposal:
   - RWI resetting the window to zero or one
   - One versus two initial pacing window values in cap exchange
   - Suggested MIB fields
   - A "partner reject" message
   We don't have to dwell on these, but I would like to spend at least
   15 minutes total on them, to get the sense of the group's opinion.

6) Discuss how we can get our solution(s) implemented and exercised
   before the new RFC is cast in concrete.
     This could be part of a larger discussion on the schedule for
   finishing the new RFC and moving it through the AIW and IETF approval
   states (could be outside the flow control time slot).

Peter